if not HopLib then
	return
end

if not KillSound then

	_G.KillSound = {}
	KillSound.mod_path = ModPath
	KillSound.save_path = SavePath
	KillSound.kill_sound_device = SoundDevice:create_source("kill_sound")
	KillSound.settings={
			volume = 100
	}
	
	function KillSound:add_kill_sound(damage_info, target, status)
		local target_info = HopLib:unit_info_manager():get_info(target)
		if not target_info  and not target_info:is_special() and not target_info:is_boss() then
			return
		end
		if not alive(damage_info.attacker_unit) or not damage_info.attacker_unit:base() then
			return
		end
		if damage_info.attacker_unit ~= managers.player:player_unit() then
			return
		end
		-- play kill sound
		
		self.kill_sound_device:set_position(managers.player:player_unit():position())
		self.kill_sound_device:post_event("kill_sound")
		
	end
	
	Hooks:Add("HopLibOnUnitDamaged", "HopLibOnUnitDamagedCODKillSound", function (unit, damage_info)
		if unit:character_damage():dead() then
			KillSound:add_kill_sound(damage_info, unit)
		end
	end)
	
end

